## ros-one-sound-classification 1.2.19-12noble.20251215.2223

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20251215.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 15 Dec 2025 22:23:12 +0000

ros-one-sound-classification (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.18-0noble) noble; urgency=high

  * fix for ROS-O (#2861 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2861>)
  * add std_mgs build_depends, to fix obase-build (maybe and others)
    ```
    2025-01-03T00:50:28.1527201Z -- BUILD_SHARED_LIBS is on
    2025-01-03T00:50:28.2543412Z -- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
    2025-01-03T00:50:28.2568008Z -- Could NOT find std_msgs (missing: std_msgs_DIR)
    2025-01-03T00:50:28.2569369Z -- Could not find the required component 'std_msgs'. The following CMake error indicates that you\
    either need to install the package with the same name or change your environment so that it can be found.
    2025-01-03T00:50:28.2584407Z CMake Error at /usr/share/catkin/cmake/catkinConfig.cmake:82 (find_package):
    2025-01-03T00:50:28.2585511Z   Could not find a package configuration file provided by "std_msgs" with any
    2025-01-03T00:50:28.2586306Z   of the following names:
    2025-01-03T00:50:28.2586595Z
    2025-01-03T00:50:28.2586761Z     std_msgsConfig.cmake
    2025-01-03T00:50:28.2587107Z     std_msgs-config.cmake
    2025-01-03T00:50:28.2587292Z
    2025-01-03T00:50:28.2587515Z   Add the installation prefix of "std_msgs" to CMAKE_PREFIX_PATH or set
    2025-01-03T00:50:28.2588032Z   "std_msgs_DIR" to a directory containing one of the above files.  If
    2025-01-03T00:50:28.2588533Z   "std_msgs" provides a separate development package or SDK, be sure it has
    2025-01-03T00:50:28.2588941Z   been installed.
    2025-01-03T00:50:28.2589180Z Call Stack (most recent call first):
    2025-01-03T00:50:28.2589472Z   CMakeLists.txt:4 (find_package)
    2025-01-03T00:50:28.2589660Z
    ```
  * [ros-o] sound_classification: use Python3 and requirements.in.obase (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.17-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.16-0noble) noble; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * [sound_classification] Update setup doc on READMEt( #2732 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2732>)
  * [sound_classification] Enable to pass all arguments of audio_to_spectrogram.launch from upper launches (#2731 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2731>)
  * [sound_classification] Fix pactl option to list up input devices (#2715 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2715>)
  * [sound_classification] set default as python2 in sound_classification (#2698 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2698>)
  * chmod -x sound_classification scripts for catkin_virtualenv (#2659 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2659>)
  * Add sound classification (#2635 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2635>)
    
      * copy from https://github.com/708yamaguchi/sound_classification
    
  * Contributors: Iori Yanokura, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shun Hasegawa

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.15-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.14-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.13-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.12-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.11-0noble) noble; urgency=high

  * add sample program to convert audio message  to spectrogram
  * [WIP] Add program to classify sound
  * Contributors: Naoya Yamaguchi

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.10-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-sound-classification (1.2.9-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.8-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.7-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.6-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-sound-classification (1.2.5-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-sound-classification (1.2.4-0noble) noble; urgency=high




