=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20260116.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 16 Jan 2026 22:05:06 +0000
