=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20260207.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 07 Feb 2026 22:25:18 +0000
