=== debian/control ===
Source: ros-one-sound-classification
Section: misc
Priority: optional
Maintainer: Naoya Yamaguchi <708yamaguchi@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-sound-classification
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-audio-capture, ros-one-audio-to-spectrogram, ros-one-image-view, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-runtime, ros-one-rospy, ros-one-sensor-msgs
Description: The sound_classification package
